<?php
$title = 'Новая площадка';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) && $sys['modules']['pp'] == 1) {

    echo '<div class="title">Новая площадка</div>';

    if (isset($_POST['submit'])) {

        $stmt_num = $connect->prepare("select count(*) from `pp_link` where `url` = ?");
        $stmt_num->execute(array($_POST['url']));

        $error = '';

        if (empty($_POST['url'])) {
            $error.= 'Введите URL!<br/>';
        }
        elseif (mb_strlen($_POST['url']) < 5 || mb_strlen($_POST['url']) > 250) {
            $error.= 'URL должен содержать от 5 до 250 символов!<br/>';
        }
        elseif ($stmt_num->fetchColumn()) {
            $error.= 'Площадка с данным URL уже есть в системе!<br/>';
        }
        elseif (!isSiteAvailable($_POST['url'])) {
            $error.= 'URL недоступен или введен не правильно!<br/>';
        }
        if (file_exists($_FILES['filename']['tmp_name'])) {
            if (!BeforeUpload::AttachIMG($_FILES['filename'])) {
                $error.= 'Неверный тип файла!<br/>';
            }
            if ($_FILES['filename']['size'] > 1024 * 1024) {
                $error.= 'Максимальный размер файла - '.byte_conv(1024 * 1024).'!<br/>';
            }
        } else {
            if (empty($_POST['name'])) {
                $error.= 'Введите название!<br/>';
            }
            elseif (mb_strlen($_POST['name']) < 5 || mb_strlen($_POST['name']) > 75) {
                $error.= 'Название должно содержать от 5 до 75 символов!<br/>';
            }
        }
        if (empty($_POST['cena'])) {
            $error.= 'Введите цену перехода!<br/>';
        }
        elseif ($_POST['cena'] < $sys['system']['pp_cena']) {
            $error.= 'Минимальная цена перехода - '.rub($sys['system']['pp_cena']).'!<br/>';
        }
        elseif (empty($_POST['col'])) {
            $error.= 'Введите количество переходов!<br/>';
        }
        elseif (!is_numeric($_POST['col'])) {
            $error.= 'Неверное значение!<br/>';
        } 
        elseif ($_POST['col'] < 10) {
            $error.= 'Минимальное количество переходов - 10!<br/>';
        }
        elseif ($user['money'] < $_POST['col'] * $_POST['cena']) {
            $error.= 'Недостаточно средств!<br/>';
        }
        if ($error) {
            echo '<div class="menu">'.$error.'</div>';
        } else {

            $banner = file_exists($_FILES['filename']['tmp_name']) ? 1 : 0;
            $name = $banner ? '' : $_POST['name'];
            $col = intval($_POST['col']);
            $cena = floatval($_POST['cena']);
            $sum = $col * $cena;
            $adult = empty($_POST['adult']) ? 0 : 1;
            $adult_view = empty($_POST['adult_view']) ? 0 : 1;
            $status = ($adm_id == 1 || $sys['modules']['mod_pp'] == 1) ? 1 : 3;

            $stmt = $connect->prepare("insert into `pp_link` set `time` = ?, `adult` = ?, `adult_view` = ?, `url` = ?, `banner` = ?, `name` = ?, `click` = ?, `cena` = ?, `uid` = ?, `status` = ?");

            if (pay(-$sum, $user['id']) && $stmt->execute(array(time(), $adult, $adult_view, $_POST['url'], $banner, $name, $col, $cena, $user['id'], $status))) {
                if (file_exists($_FILES['filename']['tmp_name'])) {
                    $lid = $connect->LastInsertId();
                    $files = $lid."_pp_".random_int(11111, 99999)."_".$_FILES['filename']['name'];
                    move_uploaded_file($_FILES['filename']['tmp_name'], $_SERVER["DOCUMENT_ROOT"]."/files/".$files);
                }
                header('Location: /pp');
            } else {
                echo '<div class="menu">Произошла ошибка!</div>';
            }
        }
    }
    echo '<div class="menu">
    <form action="" method="POST">
    URL-адрес [5-250]:<br/><input type="text" name="url" value="http://"><br/>
    Тип:<br/><select id="type" name="type">
    <option value="1">Баннер</option>
    <option selected value="0">Ссылка</option>
    </select><br/>
    <span id="type1" class="wa-hidden">Баннер:<br/><input type="file" name="filename"><br/></span>
    <span id="type0" class="wa-inline">
    Название [5-75]:<br/><input type="text" name="name"><br/>
    </span>
    Количество переходов:<br/><input type="text" name="col" value="10"><br/>
    Цена перехода:<br/><input type="text" name="cena"><br/>
    <input type="checkbox" name="adult" value="1">Для взрослых (18+)<br/>
    <input type="checkbox" checked name="adult_view" value="1">Разрешить показ рекламы на сайтах для взрослых<br/>
    <input type="submit" name="submit" value="Создать площадку">
    </form></div>';

        ?>
        <script>
            $(function() {
                var type = $('#type');
                type.change(function() {
                    if (type.val() == 1) {
                        $('#type1').show();
                        $('#type0').hide();
                    } else {
                        $('#type0').show();
                        $('#type1').hide();
                    }
                });
            });
        </script>
        <?

    echo '<div class="forlink"><a href="/pp" class="links">Мои площадки</a></div>';

} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>